# Uses of Class
org.globus.ftp.vanilla.Flag

Packages that use Flag
Package
Description
org.globus.ftp.vanilla

## Uses of Flag in org.globus.ftp.vanilla

Methods in org.globus.ftp.vanilla with parameters of type Flag
Modifier and Type
Method
Description
`void`
BasicClientControlChannel.`waitFor(Flag flag, int waitDelay)`
Return when reply is waiting
`abstract void`
BasicClientControlChannel.`waitFor(Flag flag, int waitDelay, int maxWait)`
Block until reply is waiting in the control channel, or after timeout (maxWait), or when flag changes to true.
`void`
FTPControlChannel.`waitFor(Flag aborted, int ioDelay, int maxWait)`
Block until one of the conditions are true: a reply is available in the control channel, timeout (maxWait) expired aborted flag changes to true.
`void`
FTPServerFacade.LocalControlChannel.`waitFor(Flag aborted, int ioDelay, int maxWait)`